%define name    emelfm2
%define version 0.1.7
%define release %mkrel 1

#this is to allow easy relocation eg to /usr/local
%define prefix /usr
%define _bindir %{prefix}/bin
%define _libdir %{prefix}/lib

Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   Gtk+2 file manager with two-panel format
Group:     File tools
License:   GPL
#URL:      http://emelfm2.org
URL:       http://emelfm2.net
Source:    %{name}-%{version}.tar.bz2
Patch0:    emelfm2_change_config.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires:        gtk+2.0 >= 2.4 file findutils >= 4.2 grep sed
Requires:        libgamin-1_0 >= 0.1
BuildRequires:   gtk+2-devel
BuildRequires:   gcc >= 3.2
BuildRequires:   gamin-devel >= 0.1

%description
emelFM2 is a file manager with the efficient two-panel format,
featuring:
  o Simple interface
  o Bookmarks and history lists 
  o Flexible filetyping scheme
  o Multiple actions selectable for each filetype 
  o Filename, size, and date Filters
  o Built-in command line
  o Configurable keyboard bindings
  o Configurable toolbars
  o Runtime loadable plugins

It is the Gtk+2 port of emelFM. 

Note: EmelFM2 and EmelFM are parallel installable

%package   i18n
Summary:   Translation files for emelFM2
Group:     File tools
Requires:  %{name} = %{version}

%description i18n
This package contains a translation files which may be installed
to allow emelFM2 to use non-english names in its user-interface

%prep
%setup -q
%patch0 -p0

%build

%ifarch x86_64
%make PREFIX=%{prefix} DOCS_VERSION=1 USE_GAMIN=1 CFLAGS="-O2"
%else
%make PREFIX=%{prefix} DOCS_VERSION=1 USE_GAMIN=1 CFLAGS="-O2 -march=i586"
%endif


%install
rm -rf $RPM_BUILD_ROOT
%make install PREFIX=%{buildroot}%{prefix}

mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

%make install_i18n PREFIX=%{buildroot}%{prefix}

# remove unnecessary docs
rm -rf %{buildroot}/%{_datadir}/doc/emelfm2

%find_lang %{name}

# menu
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 icons/emelfm2_48.png %{buildroot}%{_liconsdir}/%{name}.png
install -m 644 icons/emelfm2_32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 icons/emelfm2_24.png %{buildroot}%{_miconsdir}/%{name}.png

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
command="%{name}"\
title="Emelfm2"\
longtitle="Gtk+2 file manager"\
needs="x11"\
icon="%{name}.png"\
section="System/File Tools"
EOF
# //

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%{_bindir}/*
%{prefix}/share/pixmaps/*
%{prefix}/share/applications/*
%{prefix}/share/application-registry/*
%dir %_libdir/%{name}
%dir %_libdir/%{name}/plugins
%{_libdir}/%{name}/plugins/e2p*.so
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%defattr(644,root,root,755)
%doc docs/ACTIONS docs/CHANGELOG docs/CONFIGURATION docs/CREDITS
%doc docs/GPL docs/README docs/TODO docs/USAGE

%files i18n -f %{name}.lang
%defattr(-, root, root)
%defattr(644,root,root,755)
%doc docs/GPL

%changelog
* Thu Apr 27 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.7-1mdk
- new release
- remove SOURCE1 (ja.po)
- (merged upstream)

* Mon Apr 24 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.6-1mdk
- new release
- update ja.po (SOURCE1)
- (old ja.po causes segfault)
- (it will be merged soon. remove it in emelfm2-0.1.7)

* Thu Apr 13 2006 Lenny Cartier <lenny@mandriva.com> 0.1.5-2mdk
- x86_64 choice

* Wed Feb 02 2006 Lenny Cartier <lenny@mandriva.com> 0.1.5-1mdk
- 0.1.5

* Sat Jan 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.4-1mdk
- new release

* Fri Dec 23 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-3mdk
- split off the message catalogues (by author's request)
- modify URL
- apply patch0 (emelfm2-05-12-20.patch)
- update ja.po

* Tue Nov 29 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-2mdk
- new release
- patch 0: upgrade config (from Tom [the author of emelfm2])

* Wed Nov 23 2005 Lenny Cartier <lenny@mandriva.com> 0.1.3-1mdk
- 0.1.3

* Fri Nov 04 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-3.20051028.2mdk
- add docs/ACTIONS by author's request

* Tue Nov 02 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.1.2-3.20051028.1mdk
- new release from UTUMI Hirosi

* Fri Aug 12 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-1mdk
- new release

* Tue Jul 19 2005 Lenny Cartier <lenny@mandriva.com> 0.1.0-1mdk
- from <tpgww@onepost.net> : 
	- 0.1
	- locale files installed
	- added and removed some docs
	- extra requires
	- requires gtk 2.4 or better
	- url

* Mon Aug 23 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.8-2mdk
- rebuild for new menu

* Sat May 01 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.8-1mdk
- 0.0.8
- drop patch
- new files
- spec fixes

* Thu Apr 01 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.7-1mdk
- 0.0.7

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.5-2mdk 
- Fix menu entry

* Sat Jan 24 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.5-1mdk
- 0.0.5

* Sun Jan 11 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.4-1mdk
- first mdk pkg
